Index: aux/broccoli/bindings/python/broccoli_intern.i
===================================================================
--- aux/broccoli/bindings/python/broccoli_intern.i	(revision 6962)
+++ aux/broccoli/bindings/python/broccoli_intern.i	(working copy)
@@ -333,5 +333,60 @@
         free($2);
 }
 
-// Parse the header file to generate wrappers
-%include <broccoli.h>
+///// The following is a subset of broccoli.h for which we provide wrappers. 
+
+#define BRO_TYPE_UNKNOWN           0
+#define BRO_TYPE_BOOL              1
+#define BRO_TYPE_INT               2
+#define BRO_TYPE_COUNT             3
+#define BRO_TYPE_COUNTER           4
+#define BRO_TYPE_DOUBLE            5
+#define BRO_TYPE_TIME              6
+#define BRO_TYPE_INTERVAL          7
+#define BRO_TYPE_STRING            8
+#define BRO_TYPE_PATTERN           9
+#define BRO_TYPE_ENUM             10
+#define BRO_TYPE_TIMER            11
+#define BRO_TYPE_PORT             12
+#define BRO_TYPE_IPADDR           13
+#define BRO_TYPE_NET              14
+#define BRO_TYPE_SUBNET           15
+#define BRO_TYPE_ANY              16
+#define BRO_TYPE_TABLE            17
+#define BRO_TYPE_UNION            18
+#define BRO_TYPE_RECORD           19
+#define BRO_TYPE_LIST             20
+#define BRO_TYPE_FUNC             21
+#define BRO_TYPE_FILE             22
+#define BRO_TYPE_VECTOR           23
+#define BRO_TYPE_ERROR            24
+#define BRO_TYPE_PACKET           25 
+#define BRO_TYPE_SET              26
+#define BRO_TYPE_MAX              27
+#define BRO_CFLAG_NONE                      0
+#define BRO_CFLAG_RECONNECT           (1 << 0)
+#define BRO_CFLAG_ALWAYS_QUEUE        (1 << 1)
+#define BRO_CFLAG_SHAREABLE           (1 << 2)
+#define BRO_CFLAG_DONTCACHE           (1 << 3)
+#define BRO_CFLAG_YIELD               (1 << 4)
+#define BRO_CFLAG_CACHE               (1 << 5)
+
+// The exact types of these don't really matter as we're only
+// passing pointers around.
+typedef void BroCtx;
+typedef void BroConn;
+typedef void BroEvent;
+
+int            bro_init(const BroCtx *ctx);
+BroConn       *bro_conn_new_str(const char *hostname, int flags);
+void           bro_conn_set_class(BroConn *bc, const char *classname);
+int            bro_conn_connect(BroConn *bc);
+int            bro_conn_process_input(BroConn *bc);
+int            bro_event_queue_length(BroConn *bc);
+BroEvent      *bro_event_new(const char *event_name);
+void           bro_event_free(BroEvent *be);
+int            bro_event_add_val(BroEvent *be, int type, const char *type_name,const void *val);
+int            bro_event_send(BroConn *bc, BroEvent *be);
+void           bro_event_registry_add_compact(BroConn *bc, const char *event_name, BroCompactEventFunc func, void *user_data);
+double         bro_util_current_time(void);
+                          
Index: aux/broccoli/bindings/python/broccoli.py
===================================================================
--- aux/broccoli/bindings/python/broccoli.py	(revision 6962)
+++ aux/broccoli/bindings/python/broccoli.py	(working copy)
@@ -207,7 +207,7 @@
         Val.__init__(self, BRO_TYPE_IPADDR, v)
 
     def __str__(self):
-        return socket.inet_ntoa(struct.pack('l', self.val))
+        return socket.inet_ntoa(struct.pack('=l', self.val))
         
     @staticmethod
     def _factory(val, dst_type):
@@ -218,7 +218,7 @@
         return v
     
     def _parse(self, str):
-        return struct.unpack('l',socket.inet_aton(str))[0]
+        return struct.unpack('=l',socket.inet_aton(str))[0]
 
 # Not supported at this point. Need to write a parse function.
 class net(Val):
@@ -247,7 +247,7 @@
 
     def __str__(self):
         (net, mask) = self.val
-        return "%s/%d" % (socket.inet_ntoa(struct.pack('l', net)), mask)
+        return "%s/%d" % (socket.inet_ntoa(struct.pack('=l', net)), mask)
     
     @staticmethod
     def _factory(val, dst_type):
@@ -259,7 +259,7 @@
     
     def _parse(self, str):
         (net, mask) = str.split("/")
-        return (struct.unpack('l',socket.inet_aton(net))[0], int(mask))
+        return (struct.unpack('=l',socket.inet_aton(net))[0], int(mask))
 
 # Not supported at this point since Broccoli seems to have problems with
 # enums. Also need to write parse functions.
